More in this section

Forums / General Discussions / Could not load file or assembly 'Telerik.Web.UI' or one of its dependencies.

Could not load file or assembly 'Telerik.Web.UI' or one of its dependencies.

6 posts, 0 answered
  1. G S S
    G S S avatar
    71 posts
    Registered:
    16 Mar 2008
    05 Sep 2010
    Link to this post
    Hi,

    I launch Sitefinity 4.0's administration (to which I added some web user controls to the VS solution from a . NET 4.0 webapp, and these controls use Telerik AJAX controls but probably a newer version than the Sitefinity project), but get this error:

    Configuration Error

    Description: An error occurred during the processing of a configuration file required to service this request. Please review the specific error details below and modify your configuration file appropriately.

    Parser Error Message: Could not load file or assembly 'Telerik.Web.UI' or one of its dependencies. This assembly is built by a runtime newer than the currently loaded runtime and cannot be loaded. (C:\inetpub\wwwroot\x\x\web.config line 128)

    Source Error:

    Line 126:      <add name="ScriptModule" type="System.Web.Handlers.ScriptModule, System.Web.Extensions, Version=3.5.0.0, Culture=neutral, PublicKeyToken=31BF3856AD364E35" />
    Line 127:      <add name="Sitefinity" type="Telerik.Sitefinity.Web.SitefinityHttpModuleIIS6, Telerik.Sitefinity" />
    Line 128:      <add name="RadUploadModule" type="Telerik.Web.UI.RadUploadHttpModule, Telerik.Web.UI" />
    Line 129:    </httpModules>
    

    How can I fix this? I tried a web.config file from a bone-standard Sitefinity project but this did not help.

    Thanks
  2. Ivan Dimitrov
    Ivan Dimitrov avatar
    16072 posts
    Registered:
    12 Sep 2017
    06 Sep 2010
    Link to this post
    Hi G S S,

    Which version of the Telerik.Web.UI could not be found? If you are trying to reference .NET Framework assemblies you might experience these issues. Sitefinity 4.0 Beta supports .NET Framework 3.5. There will be support for .NET Framework 4.0 with the next release - release candidate that we expect to see after two -three months.

    Kind regards,
    Ivan Dimitrov
    the Telerik team
    Do you want to have your say when we set our development plans? Do you want to know when a feature you care about is added or when a bug fixed? Explore the Telerik Public Issue Tracking system and vote to affect the priority of the items
  3. Frederico Fernandes
    Frederico Fernandes avatar
    29 posts
    Registered:
    27 Oct 2009
    08 Nov 2010
    Link to this post
    Hi,
    i have the same problem but my version of sitefinity is the 3.7 version, and only happens when i publish the site.

    any solution?
  4. Ivan Dimitrov
    Ivan Dimitrov avatar
    16072 posts
    Registered:
    12 Sep 2017
    08 Nov 2010
    Link to this post
    Hi Frederico,


    Please check whether you use Telerik.Web.UI assembly built against a higher version of the .NET Framework than the Target Framework of the current project. This most often happens when a project, targeting .NET Framework 3.5 has been created in Visual Studio 2010 and it has been populated with the Telerik.Web.UI assembly in the Bin40 folder.

    • What's the TargetFramework setting of your project?
    • What's the version of the Telerik.Web.UI assembly?
    • What is the .NET version used by the application poll that runs the website?
    • Check the web.config file and whether you have set specific version for Telerik.Web.UI
    • Check whether  you have some reference to Telerik.Web.UI from the GAC.



    Greetings,
    Ivan Dimitrov
    the Telerik team
    Do you want to have your say when we set our development plans? Do you want to know when a feature you care about is added or when a bug fixed? Explore the Telerik Public Issue Tracking system and vote to affect the priority of the items
  5. Frederico Fernandes
    Frederico Fernandes avatar
    29 posts
    Registered:
    27 Oct 2009
    08 Nov 2010
    Link to this post
    hi,

    What's the TargetFramework setting of your project?
    - .net 3.5

    What's the version of the Telerik.Web.UI assembly?
    - 2009.2.826.35

    any solutions?
  6. Ivan Dimitrov
    Ivan Dimitrov avatar
    16072 posts
    Registered:
    12 Sep 2017
    08 Nov 2010
    Link to this post
    Hello Frederico,

    What about

    • What is the .NET version used by the application poll that runs the website?
    • Check the web.config file and whether you have set specific version for Telerik.Web.UI
    • Check whether  you have some reference to Telerik.Web.UI from the GAC.
    The runtime compiler  indicates that t assembly  referenced within the project cannot be found, so it is not there or it is not the correct version.

    Sincerely yours,
    Ivan Dimitrov
    the Telerik team
    Do you want to have your say when we set our development plans? Do you want to know when a feature you care about is added or when a bug fixed? Explore the Telerik Public Issue Tracking system and vote to affect the priority of the items
6 posts, 0 answered